Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

Supported by

Workaround for crashes when running experiments in OpenSesame 3.2 (Windows)

edited February 23 in OpenSesame

Hi guys,

It's come to my attention that quite a few people are experiencing crashes when launching experiments in OpenSesame 3.2, which did not occur in OpenSesame 3.1. This affects Windows users, apparently mostly (or only) Windows 10.

Symptoms

You're running OpenSesame 3.2 on Windows, and are experience one of these two symptoms (or both):

  • Immediately and always when you start an experiment, you get a "Python seems to have crashed" error.
  • Immediately and always when you start an experiment, you get an "Oops, I did it again" error and the interface is disabled and cannot be closed normally.

Solutions

  • There was an issue in the original Windows, Python-2.7-based installer of 3.2.1, which has been fixed in a repack (3.2.1-py2.7-win32-2). So there's a good chance that re-installing OpenSesame 3.2.1 with the latest installer fixes the issue.
  • If this does not fix the issue, then you can try to select the "external" runner, under Menu -> Tools -> Preferences. The downside of using this mode of execution is that you must always save your experiment before you can run it, and that the live variable inspector does not work.
  • Alternatively, you can downgrade to OpenSesame 3.1.9.

Cheers,
Sebastiaan

There's much bigger issues in the world, I know. But I first have to take care of the world I know.
cogsci.nl/smathot

Comments

  • Thanks. Also FYI. The crashes, for me, happen with Windows 7. And I can't remember what version of 3.1 I was using before moving to 3.2. But when I go back to version 3.1.9 I still get python crashes--except that the crash occurs before the experiment even launches.

  • @andersony3k Thanks for the info (and more generally for your help). I'm trying to figure what drives the crash, which is tricky because I cannot reproduce the error on any of my own systems, and there's no real error message to go by. It would be very helpful if you could try the two things below, with OpenSesame 3.2 and the multiprocess runner selected, and running the default template.

    • Does it make a difference if you run experiments fullscreen or in a window?
    • Does it make a difference if you untick the "Disable garbage collection" option in the General Properties tab?

    There's much bigger issues in the world, I know. But I first have to take care of the world I know.
    cogsci.nl/smathot

  • @sebastiaan Thanks for the hint.
    I tried this (using the python 2 version) but external runner doesn't work either, however internal runner does the trick.

    Please note that this behavior is observed after installing a plugin (be it mousetrap or just the exampe-plugin).

  • @Eru_Iluvatar : I am not sure whether the installation of plugins in the Python 3 version has to do with the problem that is described above by @sebastiaan . I think these are different issues (see related discussion in the forum).

  • I have to correct myself, there external runner did work.
    For more test cases regarding plugins see here:
    http://forum.cogsci.nl/index.php?p=/discussion/3827/python-seems-to-have-crashed-on-opensesame-3-2-1-windows-10?new=1

  • Just to summarize: the issue discussed in this thread is not related to plugins.

    Besides, there are some (unrelated) additional issues in OpenSesame 3.2 with Python 3, for which we have opened GitHub issues:

    Plugin installation using pip does not work in OpenSesame 3.2 with Python 3

    External runner does not work in OpenSesame 3.2 with Python 3

  • I had 5 computers crashing from this issue and when I re-installed with the fix, they all worked. Thanks!

  • I have installed the new version in a new computer. and got this
    "This application failed to start because it could not find or load the Qt platform plugin "windows" in "
    "Available platform plugin are: minimal, offscreen, windows
    Reinstalling the application may fix this problem"
    I have installed several times.. and failed.. more than that, even when I try to open this version from "programs" I get the same message.

  • @GilyMozes You're probably running OpenSesame from a location with non-ascii characters (accents, non-Latin characters, etc.). Is that correct? If so, this is an issue that has already been fixed for 3.2.2. For now, running OpenSesame from a location that consists only of ascii characters should be a workaround.

    There's much bigger issues in the world, I know. But I first have to take care of the world I know.
    cogsci.nl/smathot

  • Hi Sebastiaan,
    It did not work.. so I installed the old version .. 3.1.9 and again does not work.
    I still hve the version in older computer..
    Hope this the new version will be out soon...

  • FYI. I've installed the newest version, and it has fixed the Python crashes.

This discussion has been closed.